Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Interface MethodOffsets

    public interface MethodOffsets

This class contains the offsets for methods that must be directly accessed by the VM or other Squawk tools such as the mapper. The romizer ensures that these offsets are correct when it creates the image for the bootstrap suite. The offset for a method is its index in the relevant table of methods. The name of the constant must be composed of the name of the class that defines the method (with '.'s replaced by '_'s) and the name of the method with a '$' separating them. Virtual methods must be prefixed with "virtual$" and to disambiguate overloaded methods, the parameter types can be appended to the identifier, each prefixed with a '$'. E.g.: Method | Constant identifier ---------------------------------------+------------------------------------------------- Klass.getInternalName() | virtual$com_sun_squawk_Klass$getInternalName static Klass.getInternalName(Klass) | com_sun_squawk_Klass$getInternalName static Klass.isOop(Klass, int) | com_sun_squawk_Klass$isOop$com_sun_squawk_Klass$int static Klass.isOop(Klass, int, char) | com_sun_squawk_Klass$isOop$com_sun_squawk_Klass$int$char

Field Summary
`static int` | `com_sun_squawk_VM$_instanceof`
`static int` | `com_sun_squawk_VM$_lcmp`
`static int` | `com_sun_squawk_VM$_new`
`static int` | `com_sun_squawk_VM$abstractMethodError`
`static int` | `com_sun_squawk_VM$arithmeticException`
`static int` | `com_sun_squawk_VM$arrayIndexOutOfBoundsException`
`static int` | `com_sun_squawk_VM$arrayOopStore`
`static int` | `com_sun_squawk_VM$callRun`
`static int` | `com_sun_squawk_VM$checkcast`
`static int` | `com_sun_squawk_VM$class_clinit`
`static int` | `com_sun_squawk_VM$findSlot`
`static int` | `com_sun_squawk_VM$getStaticInt`
`static int` | `com_sun_squawk_VM$getStaticLong`
`static int` | `com_sun_squawk_VM$getStaticOop`
`static int` | `com_sun_squawk_VM$lookup_b`
`static int` | `com_sun_squawk_VM$lookup_i`
`static int` | `com_sun_squawk_VM$lookup_s`
`static int` | `com_sun_squawk_VM$monitorenter`
`static int` | `com_sun_squawk_VM$monitorexit`
`static int` | `com_sun_squawk_VM$newarray`
`static int` | `com_sun_squawk_VM$newdimension`
`static int` | `com_sun_squawk_VM$nullPointerException`
`static int` | `com_sun_squawk_VM$putStaticInt`
`static int` | `com_sun_squawk_VM$putStaticLong`
`static int` | `com_sun_squawk_VM$putStaticOop`
`static int` | `com_sun_squawk_VM$reportException`
`static int` | `com_sun_squawk_VM$startup`
`static int` | `com_sun_squawk_VM$undefinedNativeMethod`
`static int` | `com_sun_squawk_VM$yield`
`static int` | `java_lang_Object$missingMethodError`
`static int` | `virtual$java_lang_Object$abstractMethodError`
`static int` | `virtual$java_lang_Object$toString`

Field Detail

### com_sun_squawk_VM$startup

    static final int com_sun_squawk_VM$startup

See Also:
  Constant Field Values

### com_sun_squawk_VM$undefinedNativeMethod

    static final int com_sun_squawk_VM$undefinedNativeMethod

See Also:
  Constant Field Values

### com_sun_squawk_VM$callRun

    static final int com_sun_squawk_VM$callRun

See Also:
  Constant Field Values

### com_sun_squawk_VM$getStaticOop

    static final int com_sun_squawk_VM$getStaticOop

See Also:
  Constant Field Values

### com_sun_squawk_VM$getStaticInt

    static final int com_sun_squawk_VM$getStaticInt

See Also:
  Constant Field Values

### com_sun_squawk_VM$getStaticLong

    static final int com_sun_squawk_VM$getStaticLong

See Also:
  Constant Field Values

### com_sun_squawk_VM$putStaticOop

    static final int com_sun_squawk_VM$putStaticOop

See Also:
  Constant Field Values

### com_sun_squawk_VM$putStaticInt

    static final int com_sun_squawk_VM$putStaticInt

See Also:
  Constant Field Values

### com_sun_squawk_VM$putStaticLong

    static final int com_sun_squawk_VM$putStaticLong

See Also:
  Constant Field Values

### com_sun_squawk_VM$yield

    static final int com_sun_squawk_VM$yield

See Also:
  Constant Field Values

### com_sun_squawk_VM$nullPointerException

    static final int com_sun_squawk_VM$nullPointerException

See Also:
  Constant Field Values

### com_sun_squawk_VM$arrayIndexOutOfBoundsException

    static final int com_sun_squawk_VM$arrayIndexOutOfBoundsException

See Also:
  Constant Field Values

### com_sun_squawk_VM$arithmeticException

    static final int com_sun_squawk_VM$arithmeticException

See Also:
  Constant Field Values

### com_sun_squawk_VM$abstractMethodError

    static final int com_sun_squawk_VM$abstractMethodError

See Also:
  Constant Field Values

### com_sun_squawk_VM$arrayOopStore

    static final int com_sun_squawk_VM$arrayOopStore

See Also:
  Constant Field Values

### com_sun_squawk_VM$findSlot

    static final int com_sun_squawk_VM$findSlot

See Also:
  Constant Field Values

### com_sun_squawk_VM$monitorenter

    static final int com_sun_squawk_VM$monitorenter

See Also:
  Constant Field Values

### com_sun_squawk_VM$monitorexit

    static final int com_sun_squawk_VM$monitorexit

See Also:
  Constant Field Values

### com_sun_squawk_VM$_instanceof

    static final int com_sun_squawk_VM$_instanceof

See Also:
  Constant Field Values

### com_sun_squawk_VM$checkcast

    static final int com_sun_squawk_VM$checkcast

See Also:
  Constant Field Values

### com_sun_squawk_VM$lookup_b

    static final int com_sun_squawk_VM$lookup_b

See Also:
  Constant Field Values

### com_sun_squawk_VM$lookup_s

    static final int com_sun_squawk_VM$lookup_s

See Also:
  Constant Field Values

### com_sun_squawk_VM$lookup_i

    static final int com_sun_squawk_VM$lookup_i

See Also:
  Constant Field Values

### com_sun_squawk_VM$class_clinit

    static final int com_sun_squawk_VM$class_clinit

See Also:
  Constant Field Values

### com_sun_squawk_VM$_new

    static final int com_sun_squawk_VM$_new

See Also:
  Constant Field Values

### com_sun_squawk_VM$newarray

    static final int com_sun_squawk_VM$newarray

See Also:
  Constant Field Values

### com_sun_squawk_VM$newdimension

    static final int com_sun_squawk_VM$newdimension

See Also:
  Constant Field Values

### com_sun_squawk_VM$_lcmp

    static final int com_sun_squawk_VM$_lcmp

See Also:
  Constant Field Values

### com_sun_squawk_VM$reportException

    static final int com_sun_squawk_VM$reportException

See Also:
  Constant Field Values

### virtual$java_lang_Object$toString

    static final int virtual$java_lang_Object$toString

See Also:
  Constant Field Values

### virtual$java_lang_Object$abstractMethodError

    static final int virtual$java_lang_Object$abstractMethodError

See Also:
  Constant Field Values

### java_lang_Object$missingMethodError

    static final int java_lang_Object$missingMethodError

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"